/****************************************************************************/
/* ALBERTA:  an Adaptive multi Level finite element toolbox using           */
/*           Bisectioning refinement and Error control by Residual          */
/*           Techniques for scientific Applications                         */
/*                                                                          */
/* file:                                                                    */
/*                                                                          */
/*                                                                          */
/* description:                                                             */
/*                                                                          */
/*                                                                          */
/* history:                                                                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/*  authors:   Alfred Schmidt                                               */
/*             Zentrum fuer Technomathematik                                */
/*             Fachbereich 3 Mathematik/Informatik                          */
/*             Universitaet Bremen                                          */
/*             Bibliothekstr. 2                                             */
/*             D-28359 Bremen, Germany                                      */
/*                                                                          */
/*             Kunibert G. Siebert                                          */
/*             Institut fuer Mathematik                                     */
/*             Universitaet Augsburg                                        */
/*             Universitaetsstr. 14                                         */
/*             D-86159 Augsburg, Germany                                    */
/*                                                                          */
/*  http://www.alberta-fem.de/                                              */
/*                                                                          */
/*--------------------------------------------------------------------------*/
/*  (c) by A. Schmidt and K.G. Siebert (1996-2004)                          */
/*                                                                          */
/*     This program is free software; you can redistribute it and/or modify */
/*     it under the terms of the GNU General Public License as published by */
/*     the Free Software Foundation; either version 2 of the License, or    */
/*     any later version.                                                   */
/*                                                                          */
/*     This program is distributed in the hope that it will be useful,      */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*     GNU General Public License for more details.                         */
/*--------------------------------------------------------------------------*/

#include "alberta.h"

/*---8<---------------------------------------------------------------------*/
/*---  standard colors                                                   ---*/
/*--------------------------------------------------------------------->8---*/

const GRAPH_RGBCOLOR rgb_black   = {0.0,0.0,0.0};
const GRAPH_RGBCOLOR rgb_white   = {1.0,1.0,1.0};
const GRAPH_RGBCOLOR rgb_red     = {1.0,0.0,0.0};
const GRAPH_RGBCOLOR rgb_green   = {0.0,1.0,0.0};
const GRAPH_RGBCOLOR rgb_blue    = {0.0,0.0,1.0};
const GRAPH_RGBCOLOR rgb_yellow  = {1.0,1.0,0.0};
const GRAPH_RGBCOLOR rgb_magenta = {1.0,0.0,1.0};
const GRAPH_RGBCOLOR rgb_cyan    = {0.0,1.0,1.0};
const GRAPH_RGBCOLOR rgb_grey50  = {0.5,0.5,0.5};

const GRAPH_RGBCOLOR rgb_albert  = {0.433,0.781,0.969};
const GRAPH_RGBCOLOR rgb_alberta = {0.000,0.391,0.605};

/****************************************************************************/
/* NEW graphics routines:                                                   */
/****************************************************************************/
GRAPH_WINDOW graph_open_window(const char *title, const char *geometry,
			       REAL *world, MESH *mesh)
{return(nil);}

void  graph_close_window(GRAPH_WINDOW win)
{}

void  graph_clear_window(GRAPH_WINDOW win, const GRAPH_RGBCOLOR c)
{}

void  graph_mesh(GRAPH_WINDOW win, MESH *mesh, const GRAPH_RGBCOLOR c, 
		 FLAGS flags)
{}

void  graph_level(GRAPH_WINDOW win, DOF_REAL_VEC *v, REAL level,
		  const GRAPH_RGBCOLOR c, int refine)
{}

void graph_levels(GRAPH_WINDOW win, DOF_REAL_VEC *v,
		  int n, REAL *levels, const GRAPH_RGBCOLOR *color, int refine)
{}

void graph_values(GRAPH_WINDOW win, DOF_REAL_VEC *v,
		  REAL min, REAL max, int refine)
{}
void graph_values_d(GRAPH_WINDOW win, MESH *mesh, DOF_REAL_D_VEC *v,
		    FLAGS fill_flag, REAL min, REAL max, int refine)
{}
void graph_fvalues(GRAPH_WINDOW win, MESH *mesh,
		   REAL(*fct)(const EL_INFO *el_info, const REAL *lambda),
		   FLAGS flags,
		   REAL min, REAL max, int refine)
{}
/****************************************************************************/
void graph_drv(GRAPH_WINDOW win, const DOF_REAL_VEC *uh,
	       REAL min, REAL max, int refine)
{}
void graph_drv_d(GRAPH_WINDOW win, const DOF_REAL_D_VEC *uh,
		 REAL min, REAL max, int refine)
{}
void graph_el_est(GRAPH_WINDOW win, MESH *mesh, REAL (*get_el_est)(EL *el),
		  REAL min, REAL max)
{}
/****************************************************************************/

void graph_point(GRAPH_WINDOW win, const REAL x[2], const GRAPH_RGBCOLOR c, 
		 float ps)
{}

void graph_line(GRAPH_WINDOW win, const REAL x[2], const REAL y[2], 
		const GRAPH_RGBCOLOR c, float ls)
{}
