/*--------------------------------------------------------------------------*/
/*  PLOT_ANSI: package for simple 2d X11 graphics                           */
/*                                                                          */
/*  (c) by A. Schmidt (1990-2004)                                           */
/*                                                                          */
/*     This program is free software; you can redistribute it and/or modify */
/*     it under the terms of the GNU General Public License as published by */
/*     the Free Software Foundation; either version 2 of the License, or    */
/*     any later version.                                                   */
/*                                                                          */
/*     This program is distributed in the hope that it will be useful,      */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/*     GNU General Public License for more details.                         */
/*--------------------------------------------------------------------------*/

#include <stdio.h>

#include <fcntl.h>
#include <X11/Xdirect.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

#define single 

Display *display;
WindowHandle *wh;

main(argc,argv)
int argc;
char *argv[];
{
        int zeichne(),wnnja();
        Window menu_window;
        XVisualInfo visinf1,*visinf2;
        XSetWindowAttributes attis;
        unsigned long attimask;
        Colormap colourmap;
        int screen,class,nvisual;
	char *displayname = NULL;
	int buffer = 0;

	if (argc>1) {
	  buffer = argv[1][0]-'0';
	}

        printf("Versuche, X zu erreichen\n");
        if ((display = XOpenDisplay(displayname))==NULL) {
	  printf(" cannot connect to display <%s>",displayname);
	}

/*      window = init_window(0,0,1272,1016); ganzer Schirm  */
/* xoben,yoben,breite,hoehe,rand,tiefe */
/* die im Original kopierte Tiefe war 24 */

        class=DirectColor;
        screen=DefaultScreen(display);

        visinf1.screen=screen;
        visinf1.class=class;
        visinf2 = XGetVisualInfo(display,VisualScreenMask|VisualClassMask,
                  &visinf1,&nvisual);

        colourmap=XTitanDefaultDirectColormap(display,screen);

        attis.background_pixel = 0x404040;
        attis.border_pixel = 0xffffff;
        attis.colormap = colourmap;
        attis.override_redirect=1;
        attimask = CWBackPixel|CWBorderPixel|CWColormap|CWOverrideRedirect;

#ifdef single
/*(display,parent,x,y,breite,hoehe,randbreite,tiefe,classe,visual,wertmaske
   [zu attributen gehoerig],attribute) */
        menu_window = XCreateWindow(display, XDefaultRootWindow(display),
                550, 70, 500,500,2,
                24, 0,visinf2->visual,attimask,&attis);

#else
        menu_window = XBCreateWindow(display, XDefaultRootWindow(display),
                0, 0, 500,500,2,
                24, 0,visinf2->visual,2,1,attimask,&attis);
#endif

	if (menu_window == NULL) {
	  printf("cannot create menu_window!");
	}

        XMapWindow(display, menu_window);

        printf("Versuche, Fenster fuer Grafik zu oeffnen\n");
        wh=XdCreateWindowHandle(display,menu_window);
        if(wh) printf("Habe Handle bekommen: %s %d\n",wh,&wh);

        printf("Versuche zu zeichnen\n");

        XdSetZFunction(wh,Z_FUNC_GE);

        XdSetDrawBuffer(wh,buffer,0);

        XdSetErrorHandler(wnnja);

        zeichne(1);
        printf("Diese Zeichenbefehle waren von Main()\n");

/*        while(1) { sleep(2) ; putchar('.'); fflush(stdout); zeichne(0);} */
}


int zeichne(dmy)
int dmy;
{
        XdPoint drei[9];
        XdColor farb[3];
	int i,j;

        printf("Habe Zeichenbefehl bekommen %d\n",dmy);

        XdFillRectangle(wh, 0,0, 500,500, 0x000000, 0x0000, FillZColor);
        XdFlush(wh);
        XFlush(display);

        farb[0].r = 1.0;
        farb[0].g = 0.0;
        farb[0].b = 0.0;
        drei[0].x = 000.0;
        drei[0].y = 000.0;
        drei[0].z = 005.0;
        drei[1].x = 500.0;
        drei[1].y = 000.0;
        drei[1].z = 005.0;
        drei[2].x = 000.0;
        drei[2].y = 300.0;
        drei[2].z = 005.0;

        farb[1].r = 0.0;
        farb[1].g = 1.0;
        farb[1].b = 0.0;
        drei[3].x = 000.0;
        drei[3].y = 500.0;
        drei[3].z = 002.0;
        drei[4].x = 500.0;
        drei[4].y = 500.0;
        drei[4].z = 002.0;
        drei[5].x = 000.0;
        drei[5].y = 100.0;
        drei[5].z = 002.0;
        farb[2].r = 0.0;
        farb[2].g = 0.0;
        farb[2].b = 1.0;
        drei[6].x = 500.0;
        drei[6].y = 400.0;
        drei[6].z = 003.0;
        drei[7].x = 500.0;
        drei[7].y = 100.0;
        drei[7].z = 003.0;
        drei[8].x = 000.0;
        drei[8].y = 250.0;
        drei[8].z = 003.0;
        XdSetBaseColor(wh,farb+1);
   
 drei[0].x =  10.0;
 drei[0].y =  10.0;
 drei[0].z =   1.0;

 drei[1].x =  10.0;
 drei[1].y = 450.0;
 drei[1].z =   1.0;

 drei[2].x = 250.0;
 drei[2].y = 450.0;
 drei[2].z =   1.0;
  
 XdDrawLine(wh,drei);

 XdDrawLineList(wh,drei,3); 



/*
        XdFillTriangle(wh,drei+3);
        XdSetBaseColor(wh,farb);
        XdFillTriangle(wh,drei);
        XdSetBaseColor(wh,farb+2);
        XdFillTriangle(wh,drei+6);
*/

 for (i=1;i<11;i++) {
   drei[0].x =   10.0;
   drei[0].y = i*10.0;
   drei[0].z =   10.0;

   for (j=1;j<11;i++) {
     drei[1].x =  110.0;
     drei[1].y = j*10.0;
     drei[1].z =   20.0;

     XdDrawLine(wh,drei);
   }
 }


        XdFlush(wh);
        XFlush(display);
        return(1);
}

int wnnja(dmy,dmy2)
int dmy,dmy2;
{
        printf("Reset 1:%d 2:%d\n",dmy,dmy2);
        XdReset(wh);
        return(0);
}


