#ifndef _CSOLVER_CBLAS_H_
#define _CSOLVER_CBLAS_H_

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

double dnrm2(int n, const double *x, int ix);
void dset(int n, double alpha, double *x, int ix);
void daxpy(int n, double alpha, const double *x, int ix, double *y, int iy);
void dexpy(int n, const double *x, int ix, double *y, int iy);
void dmxpy(int n, const double *x, int ix, double *y, int iy);
void dcopy(int n, const double *x, int ix, double *y, int iy);
double ddot(int n, const double *x, int ix, const double *y, int iy);
void dscal(int n, double alpha, double *x, int ix);
void dswap(int n, double *x, int ix, double *y, int iy);
void dxpay(int n, const double *x, int ix, double alpha, double *y, int iy);

#ifdef __cplusplus
}
#endif

#endif  /* _CSOLVER_CBLAS_H_  */
